#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	xmms		# don't build XMMS plugin

Summary:	Free Lossless Audio Codec
Summary(pl.UTF-8):	Free Lossless Audio Codec - Wolnodostępny bezstratny kodek audio
Name:		flac
Version:	1.3.0
Release:	2
License:	BSD (libFLAC/libFLAC++), GPL v2+ (programs and plugins)
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/flac/%{name}-%{version}.tar.xz
# Source0-md5:	13b5c214cee8373464d3d65dee362cdd
URL:		http://xiph.org/flac/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
# for AM_ICONV
BuildRequires:	gettext-devel
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
%{?with_xmms:BuildRequires:	rpmbuild(macros) >= 1.125}
BuildRequires:	tar >= 1:1.22
%{?with_xmms:BuildRequires:	xmms-devel >= 0.9.5.1}
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

%description -l pl.UTF-8
FLAC jest bezstratnym kodekiem audio z otwartymi źródłami, rozwijanym
przez Josha Coalsona.

%package devel
Summary:	FLAC - development files
Summary(pl.UTF-8):	FLAC - pliki nagłówkowe
License:	BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel >= 2:1.0
# for -c++ only
#Requires:	libstdc++-devel

%description devel
The package contains the development header files for FLAC libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe bibliotek FLAC.

%package static
Summary:	FLAC - static libraries
Summary(pl.UTF-8):	FLAC - biblioteki statyczne
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The package contains FLAC static libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne FLAC.

%package c++
Summary:	FLAC++ - C++ API for FLAC codec
Summary(pl.UTF-8):	FLAC++ - API C++ do kodeka FLAC
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
FLAC++ - C++ API for FLAC codec.

%description c++ -l pl.UTF-8
FLAC++ - API C++ do kodeka FLAC.

%package c++-devel
Summary:	Header files for FLAC++ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FLAC++
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description c++-devel
Header files for FLAC++ library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FLAC++.

%package c++-static
Summary:	Static FLAC++ library
Summary(pl.UTF-8):	Statyczna biblioteka FLAC++
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static FLAC++ library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka FLAC++.

%package -n xmms-input-flac
Summary:	Free Lossless Audio Codec - XMMS plugin
Summary(pl.UTF-8):	Wtyczka FLAC dla XMMS
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xmms >= 0.9.5.1

%description -n xmms-input-flac
FLAC input plugin for XMMS.

%description -n xmms-input-flac -l pl.UTF-8
Wtyczka dla XMMS umożliwiająca odtwarzanie plików w formacie FLAC.

%prep
%setup -q

%{__rm} m4/ogg.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	%{!?with_xmms:--disable-xmms-plugin}

%{__make}

rm -rf doc-html
cp -a doc/html doc-html
# no makefiles in doc dirs
%{__rm} doc-html/{Makefile*,images/Makefile*,images/hw/Makefile*,ru/Makefile*}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.la
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.Xiph README
%attr(755,root,root) %{_bindir}/flac
%attr(755,root,root) %{_bindir}/metaflac
%attr(755,root,root) %{_libdir}/libFLAC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFLAC.so.8
%{_mandir}/man1/flac.1*
%{_mandir}/man1/metaflac.1*

%files devel
%defattr(644,root,root,755)
%doc doc-html/{*.html,images}
%lang(ru) %doc doc-html/ru
%attr(755,root,root) %{_libdir}/libFLAC.so
%{_libdir}/libFLAC.la
%{_includedir}/FLAC
%{_pkgconfigdir}/flac.pc
%{_aclocaldir}/libFLAC.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libFLAC.a
%endif

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libFLAC++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFLAC++.so.6

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libFLAC++.so
%{_libdir}/libFLAC++.la
%{_includedir}/FLAC++
%{_pkgconfigdir}/flac++.pc
%{_aclocaldir}/libFLAC++.m4

%if %{with static_libs}
%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libFLAC++.a
%endif

%if %{with xmms}
%files -n xmms-input-flac
%defattr(644,root,root,755)
%attr(755,root,root) %{xmms_input_plugindir}/libxmms-flac.so
%endif
%changelog
* Thu Sep 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flac.git;a=log;h=master

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> 3ee523f
- move html docs to -devel, make install re-entrant

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> e7c3645
- new URLs, updated to 1.3.0
- removed obsolete gcc44,lt,crbug-111390,deb-643377 patches
- dropped outdated without_xmms patch, use configure switch instead

* Mon Nov 12 2012 Elan Ruusamäe <glen@delfi.ee> 2f4de17
- Fix -Werror=format-security errors. rebased for current tree

* Mon Nov 12 2012 Elan Ruusamäe <glen@delfi.ee> c8de40f
- Fix -Werror=format-security errors. rebased for current tree

* Mon Nov 12 2012 Elan Ruusamäe <glen@delfi.ee> 5f0f203
- fixes from chromium (rather minor one in md5.c)

* Mon Jul 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 40362cb
- release 6

* Mon Jul 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1193aa4
- rel 5; use system ogg.m4

* Mon Jul 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9523dc7
- release 4

* Sat Jun 25 2011 areq <areq@pld-linux.org> 48bf251
- rel 3

* Sat May 30 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4406e42
- added -lt.patch and -gcc44.patch
- remove Makefiles from doc
- ghost soname symlinks
- release 2

* Sat May 30 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4ea1f06
- fixes build with gcc 4.4

* Sat May 30 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 5d10c2f
- fixes build with libtool 2.2

* Sat Sep 20 2008 Tomasz Pala <gotar@pld-linux.org> 41f0641
- updated to 1.2.1

* Sat Oct 13 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 8f45caa
- CVE reference for revision 1.52

* Thu Sep 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f08bf4
- up to 1.2.1 [fixes CVE-2007-4619]

* Tue Aug 07 2007 Jakub Bogusz <qboosh@pld-linux.org> ef4d7dd
- updated to 1.2.0
- separated c++-* packages (FLAC++ - C++ API for FLAC)

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> 3730ca3
- updated to 1.1.4
- removed obsolete link patch

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> 407bfd9
- obsolete

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3caef61
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7eefc9d
- converted to UTF-8

